summaryrefslogtreecommitdiff
path: root/dev-python/python-podman/python-podman-1.6.0.ebuild
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/python-podman/python-podman-1.6.0.ebuild
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/python-podman/python-podman-1.6.0.ebuild')
-rw-r--r--dev-python/python-podman/python-podman-1.6.0.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-python/python-podman/python-podman-1.6.0.ebuild b/dev-python/python-podman/python-podman-1.6.0.ebuild
new file mode 100644
index 000000000000..d08d17805def
--- /dev/null
+++ b/dev-python/python-podman/python-podman-1.6.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A library to interact with a Podman server"
+HOMEPAGE="https://github.com/containers/python-podman/ https://pypi.org/project/podman/"
+MY_PN=${PN#python-}
+MY_P=${MY_PN}-${PV}
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-varlink[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+ dev-python/pbr[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-39[${PYTHON_USEDEP}]"
+
+S=${WORKDIR}/${MY_P}
+
+python_test() {
+ "${PYTHON}" -m unittest discover tests/ || die "tests failed with ${EPYTHON}"
+}